c
c     a revised edition given  by kqh at 2005.4.25
c
	subroutine ufxord(xord,ncrd,n)
      implicit real*8 (a-h,o-z)                                               dp
c* * * * * *
c
c     user subroutine to enter or modify nodal coordinates.
c
c     xord   vector of coordinates for this node
c     ncrd   number of coordinates
c     n      node number
c
c* * * * * *
      dimension xord(ncrd)
c
c     transform coordinates from planar hole in plate problem to
c     three dimensional hole in cylinder
c
      r=24.d0/3.14159d0  !cyclider tube for radius: R=(4*L)/(2*PI)=C/(2*PI) C:girth
      t=xord(2)/r   !y/r  a tiny degree for revolving
      xord(2)=r*sin(t) !the approximately coordinate of direction y
      xord(3)=r*cos(t) !the approximately coordinate of direction z
      write (6,1) n,(xord(k),k=1,ncrd) ! write all of coordinates
1     format(i5,3e13.5)
      return
      end
